Skip to main content
PATCH
Update change

Supported products

Path Parameters

changeId
string
required

The unique identifier of the contract change to update.

Body

application/json
name
object
required

An object representing the name of the contract change.

effectiveDate
string<date>

The date when the contract change becomes effective, formatted as a date string.

lineItemChanges
object[]

An array of line item changes to be applied to the contract, each represented by a LineItemChangeRequest object.

prorating
boolean

A boolean indicating whether the contract change should be prorated.

Response

successful operation

contractId
string
required

The unique identifier of the contract associated with this change.

deltaLineItems
object[]
required

An array of line items that represent the difference resulting from the contract change.

id
string
required

The unique identifier for the contract change.

lineItemChanges
object[]
required

An array of changes to line items associated with the contract change.

proposedLineItems
object[]
required

An array of line items that are proposed as part of the contract change.

prorating
boolean
required

A boolean indicating whether the contract change involves prorating.

status
enum<string>
required

The current status of the contract change. Valid values include 'DRAFT', 'PROPOSED', 'ACCEPTED', 'CANCELED', 'FAILED', and 'EXPIRED'.

Available options:
ACCEPTED,
CANCELED,
DRAFT,
EXPIRED,
FAILED,
PROPOSED
type
enum<string>
required

The type of contract change. Valid values include 'DIRECT' and 'QUOTE'.

Available options:
DIRECT,
QUOTE
createdAt
string<date-time>

The date and time when the contract change was created, in ISO 8601 format.

effectiveDate
string<date>

The date when the contract change becomes effective, in YYYY-MM-DD format.

name
string

The name of the contract change.

quoteId
string

The unique identifier of the quote associated with this contract change.

updatedAt
string<date-time>

The date and time when the contract change was last updated, in ISO 8601 format.

Last modified on September 9, 2026